Summary:        Compatibility shim around libusb-1.0 offering the old 0.1 API
Name:           libusb
Version:        0.1.8
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://github.com/libusb/libusb-compat-0.1
Source0:        %{url}/archive/v%{version}/libusb-compat-%{version}.tar.gz

BuildRequires:  libusb1-devel
BuildRequires:  gcc libtool make
Requires:       libusb1

%description
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package devel
Summary:        Header files and libraries for libusb development  
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides header files and libraries for libusb development.

%prep
%autosetup -n libusb-compat-0.1-%{version}

%build
autoreconf -fiv
%configure --disable-static --enable-examples-build
%make_build

%install
%make_install

install -p -m 0755 examples/.libs/lsusb %{buildroot}%{_bindir}/libusb-compat-0.1-lsusb
install -p -m 0755 examples/.libs/testlibusb %{buildroot}%{_bindir}/libusb-compat-0.1-testlibusb

rm -f %{buildroot}%{_libdir}/libusb.la

%check
LD_LIBRARY_PATH=libusb/.libs ldd -r %{buildroot}%{_bindir}/libusb-compat-0.1-lsusb
LD_LIBRARY_PATH=libusb/.libs %{buildroot}%{_bindir}/libusb-compat-0.1-lsusb
LD_LIBRARY_PATH=libusb/.libs %{buildroot}%{_bindir}/libusb-compat-0.1-testlibusb

%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/libusb-0.1.so.*

%files devel
%{_includedir}/usb.h
%{_libdir}/pkgconfig/libusb.pc
%{_bindir}/libusb-config
%{_bindir}/libusb-compat-0.1-lsusb
%{_bindir}/libusb-compat-0.1-testlibusb
%{_libdir}/libusb.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.8-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.8-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.8-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 jackeyji <jackeyji@tencent.com> - 0.1.8-1
- uograde to 0.1.8

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.7-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 18 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.1.7-1
- Initial build
